Introducing LabSim 5.0

  

 

A New and Improved LabSim


We’ve redesigned LabSim to give you a cleaner, more intuitive experience. Less clutter and less clicks means you get more done. It also offers:

  • Better cross-platform access
  • New instructor features (create your own questions & archive classes)
  • Mobile access (tablets)
  • Improved video controls

Watch the video below to check it out.


Helpful Tips

  • Any changes you make in LabSim 5.0 will be reflected in LabSim 4.0 as well.
  • We are making improvements to LabSim 5.0 daily. Some features are still being refined/added.
  • The Linux OS and Chrome OS do not support the Silverlight plug-in.

No More Silverlight

We are busy converting our courses from Silverlight to HTML5. In the future, all courses we offer will run independently of the Silverlight plug-in. LabSim 5.0 will run all of our courses, but some still require the Silverlight plug-in to run the labs and exams. To see how the courses and resources work on the LabSim 5.0 interface, please refer to the tables below. 

Windows OS/Mac OS

  Videos Text Labs Exams
PC Pro  Yes Yes Yes
Yes
Network Pro Yes
Yes Yes* Yes*
Security Pro Yes
Yes
Yes*
Yes*
Client Pro  Yes
Yes
Yes*
Yes*
Server Pro (I,II,III) Yes
Yes
Yes*
Yes*
CCNA Yes Yes
Yes*
Yes*
Linux Yes
Yes
Yes* Yes*
Others not listed Yes
Yes
Yes*
Yes*

* Requires use of Silverlight Plug-in.


Linux OS/Chrome OS

  Videos Text Labs Exams
PC Pro  Yes Yes Yes
Yes
Network Pro Yes
Yes No* No*
Security Pro Yes
Yes
No*
No*
Client Pro  Yes
Yes
No*
No*
Server Pro (I,II,III) Yes
Yes
No*
No*
CCNA Yes Yes
No*
No*
Linux Yes
Yes
No* No*
Others not listed Yes
Yes
No*
No*

* Once these courses are converted to HTML5 they will be fully functional on Linux and Chrome.


iPad

  Videos Text Labs Exams
PC Pro  Yes Yes No No
Network Pro Yes
Yes No No
Security Pro Yes
Yes
No
No
Client Pro  Yes
Yes
No
No
Server Pro (I,II,III) Yes
Yes
No
No
CCNA Yes Yes
No
No
Linux Yes
Yes
No No
Others not listed Yes
Yes
No
No
 

For specific system and browser requirements please refer to "What are the system requirement for the software?" on our FAQ page